Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jmx
Interface ProxyExceptionHandler

All Known Implementing Classes:
  DefaultExceptionHandler

    public interface ProxyExceptionHandler

Version:
  $Revision: 81019 $
Author:
  Juha Lindfors.

Method Summary
`Object` | `handleAttributeNotFound(ProxyContext ctx, AttributeNotFoundException e, Method m, Object[] args)`
`Object` | `handleInstanceNotFound(ProxyContext ctx, InstanceNotFoundException e, Method m, Object[] args)`
`Object` | `handleInvalidAttributeValue(ProxyContext ctx, InvalidAttributeValueException e, Method m, Object[] args)`
`Object` | `handleMBeanException(ProxyContext ctx, MBeanException e, Method m, Object[] args)`
`Object` | `handleReflectionException(ProxyContext ctx, ReflectionException e, Method m, Object[] args)`
`Object` | `handleRuntimeError(ProxyContext ctx, RuntimeErrorException e, Method m, Object[] args)`
`Object` | `handleRuntimeMBeanException(ProxyContext ctx, RuntimeMBeanException e, Method m, Object[] args)`
`Object` | `handleRuntimeOperationsException(ProxyContext ctx, RuntimeOperationsException e, Method m, Object[] args)`

Method Detail

### handleInstanceNotFound

    Object handleInstanceNotFound(ProxyContext ctx,
                                  InstanceNotFoundException e,
                                  Method m,
                                  Object[] args)
                                  throws Exception

  Throws:
    `Exception`

### handleAttributeNotFound

    Object handleAttributeNotFound(ProxyContext ctx,
                                   AttributeNotFoundException e,
                                   Method m,
                                   Object[] args)
                                   throws Exception

  Throws:
    `Exception`

### handleInvalidAttributeValue

    Object handleInvalidAttributeValue(ProxyContext ctx,
                                       InvalidAttributeValueException e,
                                       Method m,
                                       Object[] args)
                                       throws Exception

  Throws:
    `Exception`

### handleMBeanException

    Object handleMBeanException(ProxyContext ctx,
                                MBeanException e,
                                Method m,
                                Object[] args)
                                throws Exception

  Throws:
    `Exception`

### handleReflectionException

    Object handleReflectionException(ProxyContext ctx,
                                     ReflectionException e,
                                     Method m,
                                     Object[] args)
                                     throws Exception

  Throws:
    `Exception`

### handleRuntimeOperationsException

    Object handleRuntimeOperationsException(ProxyContext ctx,
                                            RuntimeOperationsException e,
                                            Method m,
                                            Object[] args)
                                            throws Exception

  Throws:
    `Exception`

### handleRuntimeMBeanException

    Object handleRuntimeMBeanException(ProxyContext ctx,
                                       RuntimeMBeanException e,
                                       Method m,
                                       Object[] args)
                                       throws Exception

  Throws:
    `Exception`

### handleRuntimeError

    Object handleRuntimeError(ProxyContext ctx,
                              RuntimeErrorException e,
                              Method m,
                              Object[] args)
                              throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.